package com.javacodegeeks.snippets.URLConnection;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.URL;
import java.net.URLConnection;
import java.sql.Date;

/**
 * <p>The URLConnectionExample class</P>
 * Class is used to demonstrate java.net.URLConnection example
 */
public class URLConnectionExample 
{
	private static final String FINAL_URL="http://www.javacodegeeks.com/";
	
	/**
	 * @param args
	 * @throws IOException
	 */
	public static void main(String args[]) throws IOException
	{
		StringBuilder content = new StringBuilder();
		// create a url object
		URL url = new URL(FINAL_URL);
		
		// create a url connection object
		URLConnection urlConnection = url.openConnection();
		
		//display Content Type
		System.out.println("Content-Type: " +urlConnection.getContentType());
		
		// display Content Length
		System.out.println("Content-Length: " + urlConnection.getContentLength()); 
		
		// display Date
		System.out.println( "Date: " +new Date(urlConnection.getDate()));
		
		BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(urlConnection.getInputStream()));  
		String line;
		 
		// read from the urlconnection via the bufferedreader
		while ((line = bufferedReader.readLine()) != null)
		{
			content.append(line + "\n");
		}
		bufferedReader.close();
		System.out.println("output:\n "+content);
	}
}
